# TODO
# - for lighttpd: http://permalink.gmane.org/gmane.comp.web.lighttpd/3140
# - http://moinmoin.wikiwikiweb.de/HelpOnInstalling/FastCgi
%define				module	moin
Summary:	Wiki Engine
Summary(pl.UTF-8):	Silnik Wiki
Name:		moinmoin
Version:	1.5.9
Release:	2
License:	GPL
Group:		Applications/WWW
Source0:	http://static.moinmo.in/files/%{module}-%{version}.tar.gz
# Source0-md5:	03025422c5addcbe9ccce3df2dde470c
Source1:	%{name}-apache.conf
Source2:	%{name}-httpd.conf
Patch0:		%{name}-config.patch
URL:		http://www.moinmo.in/
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules > 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	pydoc
Requires:	webapps
%pyrequires_eq	python-modules
Conflicts:	apache-base < 2.4.0-1
Conflicts:	docutils < 0.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
MoinMoin is a nice and easy WikiEngine with advanced features - said
in a few words, it is about collaboration on easily editable web
pages.

%description -l pl.UTF-8
MoinMoin to przyjemny i łatwy silnik Wiki z zaawansowanymi
możliwościami - mówiąc w kilku słowach dotyczy współpracy przy łatwo
modyfikowalnych stronach WWW.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

rm -rf docs/licenses
rm -f wiki/data/user/README
rm -f wiki/server/mointwisted.cmd
rm -rf wiki/data/cache

# omit /usr/bin/env dep and let rpm autogenerate python binary dep
%{__sed} -i -e  '1s,^#!.*python,#!%{__python},' wiki/server/*
mv wiki/server/moinmodpy.htaccess .

# prepare inclusion into %doc
mkdir -p config
mv wiki/config/{more_samples,wikifarm} config

# dos, windows,.. blah
%{__sed} -i -e 's,\r$,,' wiki/data/intermap.txt

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/{cache,lib}/moin}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT{%{_datadir}/moin/config/*.py,%{_sysconfdir}}
rm -f $RPM_BUILD_ROOT%{_datadir}/moin/config/*.py[co]

# FHS friendly
mv $RPM_BUILD_ROOT{%{_datadir}/moin/data,/var/lib/moin/data}
# it needs rw on underlay, so move it also to /var
mv $RPM_BUILD_ROOT{%{_datadir}/moin/underlay,/var/lib/moin/underlay}

# create dirs / files it creates by on it's own
install -d $RPM_BUILD_ROOT/var/lib/moin/data/cache/{i18n,surgeprotect,wikidicts}/__lock__
touch $RPM_BUILD_ROOT/var/lib/moin/data/{event-log,error.log}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc docs/* config
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.py
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/MoinMoin
%dir %{_datadir}/moin
%{_datadir}/moin/config
%{_datadir}/moin/htdocs
%dir %{_datadir}/moin/server
%attr(755,root,root) %{_datadir}/moin/server/*

%dir /var/lib/moin
%dir /var/lib/moin/underlay
%defattr(660,root,http,770)
/var/lib/moin/underlay/pages
%dir /var/lib/moin/data
/var/lib/moin/data/plugin
%config(missingok,noreplace) %verify(not md5 mtime size) /var/lib/moin/data/pages
%config(missingok,noreplace) %verify(not md5 mtime size) /var/lib/moin/data/user
%config(missingok,noreplace) %verify(not md5 mtime size) /var/lib/moin/data/dict
%config(missingok,noreplace) %verify(not md5 mtime size) /var/lib/moin/data/cache
%ghost /var/lib/moin/data/edit-log
%ghost /var/lib/moin/data/event-log
%ghost /var/lib/moin/data/error.log
/var/lib/moin/data/intermap.txt
/var/lib/moin/data/meta
#/var/lib/moin/underlay/meta
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/moinmoin.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> dcd990b
- migrated to apache 2.4

* Sun Sep 16 2012 Elan Ruusamäe <glen@delfi.ee> b117e74
- up to last 1.5 release: 1.5.9 (March 2008)

* Sat Jan 05 2008 Elan Ruusamäe <glen@pld-linux.org> b021b16
- rel 1

* Mon May 21 2007 beorn <beorn@pld-linux.org> 6ae7085
- Up to 1.5.8

* Wed Apr 04 2007 Robert Tomasik <rotom@pld-linux.org> 2e3c196
- up to 1.5.7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7256d92
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f4147c
- converted to UTF-8

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 1b1fb31
- update webapp triggers due apache1 package split

* Tue Jul 11 2006 Elan Ruusamäe <glen@pld-linux.org> 6472278
- update to 1.5.4 by Kamil Jakubowski

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 6c38b43
- package more files; kind of works for me

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 776c372
- allow lowercase pages too

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 8548a71
- data and underlay moved to /var

* Fri Jun 02 2006 Elan Ruusamäe <glen@pld-linux.org> 54391dc
- update to 1.5.3
- add webapps config

* Fri Jun 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5e41cb2
- initial apache config

* Fri Jun 02 2006 Elan Ruusamäe <glen@pld-linux.org> 0587ddb
- webapps config

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 303ca1e
- orphaned, outdated

* Thu Jan 12 2006 undefine <undefine@pld-linux.org> fd74db3
- up to 1.5.0

* Fri Dec 02 2005 Elan Ruusamäe <glen@pld-linux.org> 1c82070
- lighttpd todo

* Fri Nov 25 2005 jpc <jpc@pld-linux.org> 5ea3ad1
- new patch

* Wed Nov 23 2005 jpc <jpc@pld-linux.org> c0c8471
- new patch allowing easier customization of MoinMoin

